
# norootforbuild

%define _with_gst	0
%define _with_sdl	1
%define wx_version	2.8
%define wx_rel		10.1
# see Changelog
%define Editra_ver	0.4.88

Name:			wxWidgets
Version:		%{wx_version}.%{wx_rel}
Release:		15.2
Group:			System/Libraries
Summary:		C++ framework for cross-platform development
License:		wxWidgets
URL:			http://wxwidgets.org/
# Source from http://www.wxpython.org/
Source0:        http://downloads.sourceforge.net/wxpython/wxPython-src-%{version}.tar.bz2
Source1:		http://downloads.sourceforge.net/wxpython/wxPython-docs-%{version}.tar.bz2
Source2:		README.unicode
# the release tarball is missing ebmlib
# svn co http://svn.wxwidgets.org/svn/wx/wxPython/3rdParty/Editra Editra
Source3:		Editra.tar.bz2
Source90:		%{name}-rpmlintrc
Patch:			%{name}-2.7.0-no-double-wxyield.diff
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc-c++
BuildRequires:	gnome-vfs2-devel
BuildRequires:	gtk2-devel
BuildRequires:	libexpat-devel
BuildRequires:	libgnomeprintui-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libmspack-devel
BuildRequires:	libtiff-devel
BuildRequires:	mDNSResponder-lib
BuildRequires:	python-devel
BuildRequires:	unixODBC-devel
BuildRequires:	unzip
BuildRequires:	update-desktop-files

%if "%{_with_gst}" == "1"
BuildRequires:	gstreamer-0_10-devel
BuildRequires:	gstreamer-0_10-plugins-base-devel
Requires:		gstreamer-0_10
Requires:		gstreamer-0_10-plugins-base
%endif

%if "%{_with_sdl}" == "1"
BuildRequires:	SDL-devel
Requires:		SDL
%endif

Provides:		wxGTK
Obsoletes:		wxGTK

# pmbs ...
BuildRequires:	liboil-0_3-0

%description
wxWidgets is a free C++ library for cross-platform GUI development.

With wxWidgets, you can create applications for different GUIs
(GTK+, Motif, MS Windows, MacOS X, Windows CE, GPE) from the same
source code.

This package contains the thread- and unicode enabled libraries.

%debug_package
%lang_package

%package devel
Summary:	Include files and libraries for wxWidgets development
Group:		Development/Libraries/C and C++
Requires:	%{name} = %{version}
Requires:	%{name}-compat = %{version}
Requires:	%{name}-gl = %{version}
Requires:	%{name}-gl-compat = %{version}
Requires:	gnome-vfs2-devel
%if "%{_with_gst}" == "1"
Requires:	gstreamer-0_10-devel
Requires:	gstreamer-0_10-plugins-base-devel
%endif
Requires:	gtk2-devel
Requires:	libexpat-devel
Requires:	libgnomeprintui-devel
Requires:	libjpeg-devel
Requires:	libmspack-devel
Requires:	libpng-devel
Requires:	libtiff-devel
%if "%{_with_sdl}" == "1"
Requires:	SDL-devel
%endif
Requires:	unixODBC-devel
Provides:	wxGTK-devel
Obsoletes:	wxGTK-devel

%description devel
wxWidgets is a free C++ library for cross-platform GUI development.

With wxWidgets, you can create applications for different GUIs
(GTK+, Motif, MS Windows, MacOS X, Windows CE, GPE) from the same
source code.

Development package for package wxWidgets.

%package compat
Summary:	WxWidgets Compatibility Package
Group:		System/Libraries
Requires:	%{name} = %{version}
Provides:	wxGTK-compat
Obsoletes:	wxGTK-compat

%description compat
wxWidgets is a free C++ library for cross-platform GUI development.

With wxWidgets, you can create applications for different GUIs
(GTK+, Motif, MS Windows, MacOS X, Windows CE, GPE) from the same
source code.

This package contains a library compiled without Unicode support,
which is needed for some improperly written applications.

%package docs
Summary:	WxWidgets html documentations
Group:		Documentation/HTML
Requires:	%{name} = %{version}
Requires:	python-wxGTK

%description docs
wxWidgets is a free C++ library for cross-platform GUI development.

With wxWidgets, you can create applications for different GUIs
(GTK+, Motif, MS Windows, MacOS X, Windows CE, GPE) from the same
source code.

This package contains the html documentation.

%package gl
Summary:	OpenGL add-on for wxWidgets
Group:		System/Libraries
Requires:	%{name} = %{version}
Provides:	wxGTK-gl
Obsoletes:	wxGTK-gl

%description gl
OpenGL add-on library for wxGTK, the GTK+ port of the wxWidgets
library.

%package gl-compat
Summary:	OpenGL add-on for wxWidgets
Group:		System/Libraries
Requires:	%{name} = %{version}

%description gl-compat
OpenGL add-on library for wxGTK, the GTK+ port of the wxWidgets
library compiled without Unicode support.

%package -n python-wxGTK
Summary:	Cross Platform GUI Toolkit for Python Using wxGTK
Group:		Development/Libraries/Python
Requires:	python >= %{py_ver}
Requires:	wxWidgets
Provides:	wxPython

%description -n python-wxGTK
wxPython is a GUI toolkit for Python that is a wrapper around the
wxWidgets C++ GUI library.  wxPython provides a large variety of
window types and controls, all implemented with a native look and
feel (and native runtime speed) on the platforms it is supported
on.

Additional documentation is available in package python-wxGTK-doc
and demos and examples are in package python-wxGTK-examples.

Authors: Robin Dunn <robin@alldunn.com>

%package -n python-Editra
Summary:	Editra is a multi-platform text editor
Group:		Productivity/Text/Editors
#Version:	%{Editra_ver}
Requires:	python >= %{py_ver}
Requires:	python-wxGTK = %{version}

%description -n python-Editra
Editra is a multi-platform text editor with an implementation
that focuses on creating an easy to use interface and features
that aid in code development. Currently it supports syntax
highlighting and variety of other useful features for over 60
programming languages.

%package -n python-XRCed
Summary:	XRCed is a visual tool for editing XML files
Group:		Productivity/Text/Editors
Requires:	python >= %{py_ver}
Requires:	python-wxGTK = %{version}

%description -n python-XRCed
XRCed's idea is very straightforward: it is a visual tool for
editing an XML file conforming to XRC format. Every operation
performed in XRCed has direct correspondence to XML structure.
So it is not really a usual point-and-click GUI builder, but
don't let that scare you.

%package -n python-wxGTK-wxtools
Summary:	Virtual package to symlink Editra and XRCed to wx/tools
Group:		Productivity/Text/Editors
Requires:	python-Editra = %{version}
Requires:	python-XRCed = %{version}

%description -n python-wxGTK-wxtools
This package symlinks Editra and XRCed to the "old known place"
in the python-wxGTK packages.

Use this package if you use programs looking for Editra and/or
XRCed in the directory wx/tools/Editra or wx/tools/XRCed.

%prep
%setup -q -n wxPython-src-%{version} -a1
%patch -p1

%__install -m 644 %{SOURCE2} .

# the release tarball is missing ebmlib
pushd wxPython/wx/tools
	%__tar xfj %{SOURCE3}
popd

# fix typo in this source
%__sed -i -e 's|m_gnome_vfs_lib->.Detach();|m_gnome_vfs_lib->Detach();|g' \
	src/gtk/gnome/gvfs.cpp

# fix some shebang's
%__sed -i -e 's|/usr/local/bin/wish|/usr/bin/wish|g' \
	wxPython/wx/tools/Editra/tests/syntax/tcl_tk.tcl
%__sed -i -e 's|/bin/octave|/usr/bin/octave|g' \
	wxPython/wx/tools/Editra/tests/syntax/octave.oct
%__sed -i -e 's|/usr/bin/env python|/usr/bin/python|g' \
	wxPython/wx/tools/Editra/tests/syntax/python.python
%__sed -i -e 's|#!python|#!/usr/bin/python|g' \
	wxPython/wx/tools/Editra/src/extern/ez_setup.py

%build
%__make -C locale allmo

######################
# --disable-optimise prevents our $RPM_OPT_FLAGS being overridden
# (see OPTIMISE in configure).
# the make clean are not really necessary but otherwise the chroot grows and grows ...

# this code dereferences type-punned pointers like there's no tomorrow.
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CPPFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"

######################
# non-unicode version
%__install -dm 755 build-ansi
pushd build-ansi
	../configure \
		--prefix=%{_prefix} \
		--datadir=%{_datadir} \
		--libdir='${prefix}/%{_lib}' \
		--enable-rpath='${prefix}/%{_lib}' \
		--disable-debug \
		--disable-dialupman \
		--disable-gpe \
		--disable-optimise \
		--disable-profile \
		--enable-arcstream \
%ifnarch x86_64
		--enable-dataviewctrl \
%endif
		--enable-graphics_ctx \
		--enable-icocur \
%if "%{_with_gst}" == "1"
		--enable-mediactrl \
%endif
		--enable-shared \
		--enable-tabdialog \
		--enable-threads \
%if "%{_with_sdl}" == "1"
		--with-sdl \
%endif
		--with-gnomevfs \
		--with-libmspack \
		--with-odbc \
		--enable-burnt_name \
		--enable-sound \
		--with-gnomeprint \
		--enable-iff \
		--enable-geometry \
		--enable-soname \
		--enable-gtk2 \
		--enable-controls \
		--enable-calendar \
		--enable-std_iostreams \
		--with-opengl

	%__make %{?jobs:-j%{jobs}}
	%__make %{?jobs:-j%{jobs}} -C contrib
	%makeinstall
	%makeinstall -C contrib
	%__make clean
	%__make clean -C contrib
popd

######################
# non-unicode, static version
%__install -dm 755 build-ansi-static
pushd build-ansi-static
	../configure \
		--prefix=%{_prefix} \
		--datadir=%{_datadir} \
		--libdir='${prefix}/%{_lib}' \
		--enable-rpath='${prefix}/%{_lib}' \
		--disable-debug \
		--disable-dialupman \
		--disable-gpe \
		--disable-optimise \
		--disable-profile \
		--enable-arcstream \
%ifnarch x86_64
		--enable-dataviewctrl \
%endif
		--enable-graphics_ctx \
		--enable-icocur \
%if "%{_with_gst}" == "1"
		--enable-mediactrl \
%endif
		--disable-shared \
		--enable-tabdialog \
		--enable-threads \
%if "%{_with_sdl}" == "1"
		--with-sdl \
%endif
		--with-gnomevfs \
		--with-libmspack \
		--with-odbc \
		--enable-burnt_name \
		--enable-sound \
		--with-gnomeprint \
		--enable-iff \
		--enable-geometry \
		--enable-soname \
		--enable-gtk2 \
		--enable-controls \
		--enable-calendar \
		--enable-std_iostreams \
		--with-opengl

	%__make %{?jobs:-j%{jobs}}
	%__make %{?jobs:-j%{jobs}} -C contrib
	%makeinstall
	%makeinstall -C contrib
	%__make clean
	%__make clean -C contrib
popd

######################
# unicode, static version
%__install -dm 755 build-unicode-static
pushd build-unicode-static
	../configure \
		--prefix=%{_prefix} \
		--datadir=%{_datadir} \
		--libdir='${prefix}/%{_lib}' \
		--enable-rpath='${prefix}/%{_lib}' \
		--disable-debug \
		--disable-dialupman \
		--disable-gpe \
		--disable-optimise \
		--disable-profile \
		--enable-arcstream \
%ifnarch x86_64
		--enable-dataviewctrl \
%endif
		--enable-graphics_ctx \
		--enable-icocur \
%if "%{_with_gst}" == "1"
		--enable-mediactrl \
%endif
		--disable-shared \
		--enable-tabdialog \
		--enable-threads \
		--enable-unicode \
%if "%{_with_sdl}" == "1"
		--with-sdl \
%endif
		--with-gnomevfs \
		--with-libmspack \
		--enable-burnt_name \
		--enable-sound \
		--with-gnomeprint \
		--enable-iff \
		--enable-geometry \
		--enable-soname \
		--enable-gtk2 \
		--enable-controls \
		--enable-calendar \
		--enable-std_iostreams \
		--with-opengl

	%__make %{?jobs:-j%{jobs}}
	%__make %{?jobs:-j%{jobs}} -C contrib
	%makeinstall
	%makeinstall -C contrib
	%__make clean
	%__make clean -C contrib
popd

######################
# unicode version:
%__install -dm 755 build-unicode
pushd build-unicode
	../configure \
		--prefix=%{_prefix} \
		--datadir=%{_datadir} \
		--libdir='${prefix}/%{_lib}' \
		--enable-rpath='${prefix}/%{_lib}' \
		--disable-debug \
		--disable-dialupman \
		--disable-gpe \
		--disable-optimise \
		--disable-profile \
		--enable-arcstream \
%ifnarch x86_64
		--enable-dataviewctrl \
%endif
		--enable-graphics_ctx \
		--enable-icocur \
%if "%{_with_gst}" == "1"
		--enable-mediactrl \
%endif
		--enable-shared \
		--enable-tabdialog \
		--enable-threads \
		--enable-unicode \
%if "%{_with_sdl}" == "1"
		--with-sdl \
%endif
		--with-gnomevfs \
		--with-libmspack \
		--enable-burnt_name \
		--enable-sound \
		--with-gnomeprint \
		--enable-iff \
		--enable-geometry \
		--enable-soname \
		--enable-gtk2 \
		--enable-controls \
		--enable-calendar \
		--enable-std_iostreams \
		--with-opengl

	%__make %{?jobs:-j%{jobs}}
	%__make %{?jobs:-j%{jobs}} -C contrib
	%makeinstall
	%makeinstall -C contrib
	%__make clean
	%__make clean -C contrib
popd

%install
######################
# wxPython
export CFLAGS="$RPM_OPT_FLAGS -I%{buildroot}%{_libdir}/wx/include/gtk2-unicode-release-%{wx_version}"
export CPPFLAGS="$RPM_OPT_FLAGS -I%{buildroot}%{_libdir}/wx/include/gtk2-unicode-release-%{wx_version}"
export CXXFLAGS="$RPM_OPT_FLAGS -I%{buildroot}%{_libdir}/wx/include/gtk2-unicode-release-%{wx_version}"
export LDFLAGS="$RPM_OPT_FLAGS -L%{buildroot}%{_libdir}"
pushd wxPython
	%__python setup.py \
		WX_CONFIG="%{buildroot}%{_libdir}/wx/config/gtk2-unicode-release-%{wx_version} --prefix=%{buildroot}%{_prefix}" \
		EP_ADD_OPTS=1 \
		NO_SCRIPTS=1 \
		WXPORT=gtk2 \
		UNICODE=1 \
		build \
		install \
		--prefix=%{_prefix} \
		--root=%{buildroot}

	build_options=%{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wx/build/build_options.py
	%__sed -i 's/^WX_CONFIG=.*/WX_CONFIG="wx-config --unicode"/' \
		%{buildroot}$build_options
	%__python -c "import py_compile; py_compile.compile('%{buildroot}$build_options', None, '$build_options', True);"
popd

######################
# Editra
pushd wxPython/wx/tools/Editra
	%__python setup.py \
		build \
		install \
		--prefix=%{_prefix} \
		--root=%{buildroot}

	%__rm %{buildroot}%{py_sitedir}/Editra/{AUTHORS,CHANGELOG,COPYING,FAQ,INSTALL,NEWS,README,THANKS,TODO}
popd

######################
# XRCed
pushd wxPython/wx/tools
	%__install -dm 755 %{buildroot}%{py_sitedir}
	%__cp -a XRCed \
		%{buildroot}%{py_sitedir}

	%__rm %{buildroot}%{py_sitedir}/XRCed/*.txt
	%__rm %{buildroot}%{py_sitedir}/XRCed/ChangeLog
	%__rm %{buildroot}%{py_sitedir}/XRCed/doc/Makefile
popd

# as Editra and XRCed is "really" installed we can remove those files
%__rm -r %{buildroot}%{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wx/tools/Editra
%__rm -r %{buildroot}%{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wx/tools/XRCed
# create symlinks for packages using wx/tools/Editra or wx/tools/XRCed
pushd %{buildroot}%{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wx/tools
	ln -s %{py_sitedir}/XRCed .
	ln -s %{py_sitedir}/Editra .
popd

######################
# viewdocs.py
%__install -dm 755 %{buildroot}%{_bindir}
%__install -m 755 wxPython/distrib/viewdocs.py \
	%{buildroot}%{_bindir}

######################
# lang files
%find_lang wxstd wxstd.lang
%find_lang wxmsw wxmsw.lang

%__cat wxstd.lang wxmsw.lang > %{name}.lang
%__rm wxstd.lang wxmsw.lang

######################
# menu and icons for XRCed
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 wxPython/wx/tools/XRCed/XRCed_32.png \
	%{buildroot}%{_datadir}/pixmaps/XRCed.png

%__rm wxPython/distrib/XRCed.desktop
%__cat > XRCed.desktop << EOF
[Desktop Entry]
Name=XRCed
GenericName=XRCed
Comment=wxPython XRC resource editor
Exec=XRCed.sh
Icon=XRCed
Terminal=false
Type=Application
#Encoding=UTF-8
#Categories=Utility;TextEditor;
EOF
%suse_update_desktop_file -i XRCed Utility TextEditor

%__cat > XRCed.sh << EOF
#!/bin/bash
cd %{py_sitedir}/XRCed
python ./xrced.py "\$@"
EOF
%__install -m 755 XRCed.sh \
	%{buildroot}%{_bindir}

######################
# menu and icons for Editra
%__install -m 644 wxPython/wx/tools/Editra/pixmaps/editra.png \
	%{buildroot}%{_datadir}/pixmaps

%__rm wxPython/distrib/Editra.desktop
%__cat > Editra.desktop << EOF
[Desktop Entry]
Name=Editra
GenericName=Editra
Comment=Editra is a multi-platform text editor
Exec=Editra
Icon=editra
Terminal=false
Type=Application
#Encoding=UTF-8
#Categories=Utility;TextEditor;
EOF
%suse_update_desktop_file -i Editra Utility TextEditor

######################
# rpmlint fixes
# ATTENTION: otherwise a lot of dependencies pull in like perl, octave, wish, ruby, ...
#            so the 755 is not a good solution here !
#            only the python files are adjusted and a addFilter-rule is added to rpmlintrc file
%__chmod 755 %{buildroot}%{py_sitedir}/Editra/Editra
%__chmod 755 %{buildroot}%{py_sitedir}/Editra/launcher.py
%__chmod 755 %{buildroot}%{py_sitedir}/Editra/src/Editra.py
%__chmod 755 %{buildroot}%{py_sitedir}/Editra/src/extern/ez_setup.py
%__chmod 755 %{buildroot}%{py_sitedir}/Editra/src/extern/vertedit.py
#%__chmod 755 %{buildroot}%{py_sitedir}/Editra/tests/syntax/c-shell_script.csh
#%__chmod 755 %{buildroot}%{py_sitedir}/Editra/tests/syntax/korn_shell_script.ksh
#%__chmod 755 %{buildroot}%{py_sitedir}/Editra/tests/syntax/tcl_tk.tcl
%__chmod 755 %{buildroot}%{py_sitedir}/Editra/tests/syntax/python.python
#%__chmod 755 %{buildroot}%{py_sitedir}/Editra/tests/syntax/d.d
#%__chmod 755 %{buildroot}%{py_sitedir}/Editra/tests/syntax/perl.pl
#%__chmod 755 %{buildroot}%{py_sitedir}/Editra/tests/syntax/octave.oct
#%__chmod 755 %{buildroot}%{py_sitedir}/Editra/tests/syntax/ruby.rb

%__chmod 755 %{buildroot}%{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wx/lib/floatcanvas/FloatCanvas.py
%__chmod 755 %{buildroot}%{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wx/lib/floatcanvas/GUIMode.py
%__chmod 755 %{buildroot}%{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wx/lib/floatcanvas/Utilities/BBox.py
%__chmod 755 %{buildroot}%{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wx/lib/floatcanvas/Utilities/BBoxTest.py
%__chmod 755 %{buildroot}%{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wx/lib/floatcanvas/Utilities/Colors.py

%__chmod 644 %{buildroot}%{_includedir}/wx-%{wx_version}/wx/wxPython/i_files/aui.i

######################
# post/pre
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post compat -p /sbin/ldconfig
%postun compat -p /sbin/ldconfig

%post gl -p /sbin/ldconfig
%postun gl -p /sbin/ldconfig

%post gl-compat -p /sbin/ldconfig
%postun gl-compat -p /sbin/ldconfig

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

######################
# packages
%files
%defattr(-,root,root)
%exclude %{_libdir}/libwx_gtk2u_gl-*
%{_libdir}/libwx_baseu[-_]*.so.*
%{_libdir}/libwx_gtk2u[-_]*.so.*

%files compat
%defattr(-, root, root)
%exclude %{_libdir}/libwx_gtk2_gl-*
%exclude %{_libdir}/libwx_gtk2u[-_]*
%exclude %{_libdir}/libwx_baseu[-_]*
%{_libdir}/libwx_base*.so.*
%{_libdir}/libwx_gtk2*.so.*

%files gl
%defattr(-,root,root)
%{_libdir}/libwx_gtk2u_gl-*.so.*

%files gl-compat
%defattr(-,root,root)
%{_libdir}/libwx_gtk2_gl-*.so.*

%files devel
%defattr(-,root,root)
%doc README.unicode
%{_bindir}/wx-config
%{_bindir}/wxrc*
%exclude %{_includedir}/wx-%{wx_version}/wx/wxPython
%dir %{_includedir}/wx-%{wx_version}
%{_includedir}/wx-%{wx_version}/*
%{_libdir}/libwx_base*.a
%{_libdir}/libwx_base*.so
%{_libdir}/libwx_gtk2*.a
%{_libdir}/libwx_gtk2*.so
%{_libdir}/libwxregexu-*.a
%dir %{_libdir}/wx
%{_libdir}/wx/*
%{_datadir}/aclocal/*
%dir %{_datadir}/bakefile
%dir %{_datadir}/bakefile/presets
%{_datadir}/bakefile/presets/*.bkl

%files docs
%defattr(-, root, root)
%doc docs/*.txt
%doc docs/html
#%doc wxPython-%{version}/docs/api
%doc wxPython/distrib/README.viewdocs.txt
%{_bindir}/viewdocs.py

%files -n python-wxGTK
%defattr(-, root, root)
%doc wxPython/docs/*.txt
%doc wxPython/docs/*.html
%doc wxPython/docs/screenshots
%doc wxPython/licence
%{py_sitedir}/wx.pth
%{py_sitedir}/wxversion.py*
%dir %{py_sitedir}/wx-%{wx_version}-gtk2-unicode
%dir %{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wx
%{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wx/*.py*
%{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wx/*.so
%dir %{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wx/build
%{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wx/build/*.py*
%dir %{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wx/lib
%{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wx/lib/*
%dir %{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wx/py
%{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wx/py/*.ico
%{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wx/py/*.py*
%{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wx/py/*.txt
%dir %{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wx/tools
%{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wx/tools/*.py*
%{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wxPython-%{version}-py%{py_ver}.egg-info

# wxPython
%dir %{_includedir}/wx-%{wx_version}
%dir %{_includedir}/wx-%{wx_version}/wx
%dir %{_includedir}/wx-%{wx_version}/wx/wxPython
%{_includedir}/wx-%{wx_version}/wx/wxPython/*
%dir %{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wxPython
%{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wxPython/*.py*
%dir %{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wxPython/lib
%{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wxPython/lib/*
%dir %{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wxPython/tools
%{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wxPython/tools/*.py*
%{py_sitedir}/wxPython_common-%{version}-py%{py_ver}.egg-info

# splitted to python-Editra and python-XRCed
#%dir %{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wx/tools/Editra
#%{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wx/tools/Editra/*
#%dir %{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wx/tools/XRCed
#%{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wx/tools/XRCed/*

%files -n python-Editra
%defattr(-, root, root)
%doc wxPython/wx/tools/Editra/AUTHORS
%doc wxPython/wx/tools/Editra/CHANGELOG
%doc wxPython/wx/tools/Editra/COPYING
%doc wxPython/wx/tools/Editra/FAQ
%doc wxPython/wx/tools/Editra/NEWS
%doc wxPython/wx/tools/Editra/README
%doc wxPython/wx/tools/Editra/THANKS
%doc wxPython/wx/tools/Editra/TODO
%{_bindir}/Editra
%{_bindir}/Editra.pyw
%dir %{py_sitedir}/Editra
%{py_sitedir}/Editra/*
%{py_sitedir}/Editra-%{Editra_ver}-py%{py_ver}.egg-info
%{_datadir}/pixmaps/editra.png
%{_datadir}/applications/Editra.desktop

%files -n python-XRCed
%defattr(-, root, root)
%{_bindir}/XRCed.sh
%doc wxPython/wx/tools/XRCed/ChangeLog
%doc wxPython/wx/tools/XRCed/*.txt
%dir %{py_sitedir}/XRCed
%{py_sitedir}/XRCed/*
%{_datadir}/pixmaps/XRCed.png
%{_datadir}/applications/XRCed.desktop

%files lang -f %{name}.lang

%files -n python-wxGTK-wxtools
%defattr(-, root, root)
%{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wx/tools/Editra
%{py_sitedir}/wx-%{wx_version}-gtk2-unicode/wx/tools/XRCed

%changelog
* Sat May 24 2008 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build
